Skip to main content
POST
/
discover
curl "https://api.brightdata.com/discover" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <token>" \
  -d '{
    "query": "artificial intelligence trends 2026",
    "language": "en",
    "country": "US",
    "format": "json",
    "intent": "latest AI technology developments",
    "remove_duplicates": true,
    "include_content": true,
    "start_date": "2025-01-01",
    "end_date": "2025-12-31"
  }'

curl "https://api.brightdata.com/discover?task_id=<task_id>" \
  -H "Authorization: Bearer <token>"
{
  "status": "done",
  "duration_seconds": 10,
  "results": [
    {
      "link": "https://www.trigyn.com/insights/ai-trends-2026-new-era-ai-advancements-and-breakthroughs",
      "title": "AI Trends in 2026: Advancements and Breakthroughs Ahead",
      "description": "5 days ago — Explore top AI trends for 2026, from enterprise adoption to autonomous systems and breakthrough business innovations.",
      "relevance_score": 0.98184747,
      "content": null
    },
    {
      "link": "https://sisuadigital.com/blog/artificial-intelligence-trends-2026-sisua-digital/",
      "title": "10 Artificial Intelligence (AI) Trends That Will Define 2026",
      "description": "Dec 26, 2025 — Discover the 10 Artificial Intelligence (AI) Trends That Will Define 2026: governance, human collaboration, continuous learning, and more.",
      "relevance_score": 0.97948,
      "content": null
    }
  ]
}

Introduction to Discover API

Collect search results at scale for you, instead of wasting time and effort on filtering or processing irrelevant results

Body Parameters

query
string
required
The search query.
language
string
default:"en"
The language to search in and return data for.

Available options: en, es, fr, de, zh, ja
country
string
default:"US"
Get search results from a specific country. This will prioritize content from the selected country in the search results.Available options: US, UK, CA, DE, FR, JA, AU
format
string
default:"json"
The response format.Available options: json, markdown
intent
string
Describes the specific goal of the search to help the AI evaluate result relevance. If not provided, the query string defaults as the intent.
remove_duplicates
boolean
default:"true"
If true, duplicate results will be removed from the response.
include_content
boolean
default:"false"
If true, the response will include the page content in markdown format.
start_date
string
Search only for content updated from the date specified (format: YYYY-MM-DD).
end_date
string
Search only for content updated until the date specified (format: YYYY-MM-DD).

Example

curl "https://api.brightdata.com/discover" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <token>" \
  -d '{
    "query": "artificial intelligence trends 2026",
    "language": "en",
    "country": "US",
    "format": "json",
    "intent": "latest AI technology developments",
    "remove_duplicates": true,
    "include_content": true,
    "start_date": "2025-01-01",
    "end_date": "2025-12-31"
  }'
Response:
{
  "status": "ok",
  "task_id": "bde85a92-3232-4f26-98f6-5ed0328b8288"
}

Retrieve Results

curl "https://api.brightdata.com/discover?task_id=<task_id>" \
  -H "Authorization: Bearer <token>"

Response

status
string
The status of the request: processing or done
duration_seconds
integer
The time taken to process the request in seconds.
results
object[]
A list of sorted search results.
curl "https://api.brightdata.com/discover" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer <token>" \
  -d '{
    "query": "artificial intelligence trends 2026",
    "language": "en",
    "country": "US",
    "format": "json",
    "intent": "latest AI technology developments",
    "remove_duplicates": true,
    "include_content": true,
    "start_date": "2025-01-01",
    "end_date": "2025-12-31"
  }'

curl "https://api.brightdata.com/discover?task_id=<task_id>" \
  -H "Authorization: Bearer <token>"
{
  "status": "done",
  "duration_seconds": 10,
  "results": [
    {
      "link": "https://www.trigyn.com/insights/ai-trends-2026-new-era-ai-advancements-and-breakthroughs",
      "title": "AI Trends in 2026: Advancements and Breakthroughs Ahead",
      "description": "5 days ago — Explore top AI trends for 2026, from enterprise adoption to autonomous systems and breakthrough business innovations.",
      "relevance_score": 0.98184747,
      "content": null
    },
    {
      "link": "https://sisuadigital.com/blog/artificial-intelligence-trends-2026-sisua-digital/",
      "title": "10 Artificial Intelligence (AI) Trends That Will Define 2026",
      "description": "Dec 26, 2025 — Discover the 10 Artificial Intelligence (AI) Trends That Will Define 2026: governance, human collaboration, continuous learning, and more.",
      "relevance_score": 0.97948,
      "content": null
    }
  ]
}

Errors

CodeMeaningResolution
400Bad RequestVerify that all body parameters match the required types and formats.
401UnauthorizedProvide a valid API key in the Authorization header.
403ForbiddenThe Bright Data Discover API is not enabled for your account. Contact support to enable it.
429Too Many RequestsYou have exceeded your concurrency or rate limits. Slow down requests or upgrade your plan.
500Internal Server ErrorAn issue occurred on Bright Data’s end. Retry the request after a few seconds.

FAQs

query is the exact string submitted to Google’s search engine. intent is the internal instruction given to the Bright Data AI to evaluate and rank the relevance of those Google results before returning them to you.
Access to the Bright Data Discover API is restricted. It must be manually enabled for your account by your account manager.